# Maintainer: robertfoster
# Contributor: Eschwartz <eschwartz93@gmail.com>

pkgname=winetricks-git
pkgver=20210825.r16
pkgrel=1
pkgdesc='Script to install various redistributable runtime libraries in Wine.'
url='https://wiki.winehq.org/Winetricks'
license=('LGPL')
arch=('any')
depends=('wine' 'cabextract' 'unzip' 'xorg-xmessage')
makedepends=('git')
optdepends=('zenity: For the GTK3 GUI.'
    'kdialog: For the KDE GUI (less capable).'
)
conflicts=('winetricks' 'bin32-winetricks')
provides=('winetricks')
source=("$pkgname::git+https://github.com/Winetricks/winetricks.git")
md5sums=('SKIP')

pkgver() {
    cd "$pkgname"
    _pkgver=$(git describe --long --tags | sed -r 's/-([0-9]+)-/.r\1./')
    printf '%s' "$( cut -f1-2 -d'.' <<< ${_pkgver} )"
}

package() {
    cd "$pkgname"
    make DESTDIR="$pkgdir" install
}
